#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#include "../src/grind.h"


int export( int argc, char *argv[], char **filename) {
  char *t_ext;

  if (argc > 1) {
    if (*filename)
      free(*filename);
    *filename = ccalloc(strlen(argv[1])+5, "'filename' in Export");
    strcpy(*filename, argv[1]);
    if ( (t_ext = strrchr(argv[1], '.')) ) {
      t_ext++;
      strcpy(*filename,argv[1]);

      if (0 == strcmp(t_ext, "pdf") || 0 == strcmp(t_ext, "tex")) {
	return gr_warning("%s format not supported\n", t_ext);
      }
      else if (0 == strcmp(t_ext, "eps") || 0 == strcmp(t_ext, "ps")) {
	;
      }
      else 
	return gr_warning("%s format not supported\n", t_ext);
    }
    else
      strcat(*filename, ".eps");
  }
  gps(*filename);
  return 1;
}

